
Base Language - Bug #5010

OO Quirk - Core.Collections.EntrySet

11/20/2020 05:59 AM - Marian Edu

Status: Hold Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Base Language - Bug #5011: unimplemented OO 4GL quirks and bugs New

History

#1 - 11/20/2020 09:12 AM - Greg Shah

- Description updated

From Marian:

RemoveAll method on Core.Collections.EntrySet only removes entries present in input entry set if and only if entry key is equals with entry value.

This is definitively wrong, Remove only check entry's key.

FWD implementation simply call Remove for each entry and as such if key matches the entry is removed.

#2 - 11/20/2020 09:15 AM - Greg Shah

- Parent task deleted (#4384)

- Status changed from Feedback to Hold

This is a bug.  I see no reason to support it unless an application is encountered which relies upon this (heavily) for "correct" processing.  Even if we

find an app that is dependent, we will suggest the app code be fixed rather than relying upon this.

#3 - 11/20/2020 09:17 AM - Greg Shah

- Related to Feature #4384: Builtin OO Implementation added

#4 - 03/11/2021 10:11 AM - Greg Shah

- Related to Bug #5011: unimplemented OO 4GL quirks and bugs added

#5 - 03/11/2021 10:11 AM - Greg Shah

- Related to deleted (Feature #4384: Builtin OO Implementation)
